#include "stdafx.h"
#include "spltest.h"
#include "spltestDoc.h"
#include "spltestView.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif

IMPLEMENT_DYNCREATE(CSpltestView, CView)

BEGIN_MESSAGE_MAP(CSpltestView, CView)
  ON_COMMAND(ID_FILE_PRINT, &CView::OnFilePrint)
  ON_COMMAND(ID_FILE_PRINT_DIRECT, &CView::OnFilePrint)
  ON_COMMAND(ID_FILE_PRINT_PREVIEW, &CView::OnFilePrintPreview)
END_MESSAGE_MAP()


CSpltestView::CSpltestView()
{
}

void CSpltestView::OnDraw(CDC* /*pDC*/)
{
  //Nothing to do
}

BOOL CSpltestView::OnPreparePrinting(CPrintInfo* pInfo)
{
  return DoPreparePrinting(pInfo);
}

void CSpltestView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
}

void CSpltestView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
}

#ifdef _DEBUG
void CSpltestView::AssertValid() const
{
  CView::AssertValid();
}

void CSpltestView::Dump(CDumpContext& dc) const
{
  CView::Dump(dc);
}

CSpltestDoc* CSpltestView::GetDocument() // non-debug version is inline
{
  ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CSpltestDoc)));
  return static_cast<CSpltestDoc*>(m_pDocument);
}
#endif //_DEBUG
