#pragma once

class CSpltestView : public CView
{
protected: // create from serialization only
  CSpltestView();
  DECLARE_DYNCREATE(CSpltestView)

public:
  CSpltestDoc* GetDocument();

protected:
  virtual void OnDraw(CDC* pDC);  //overridden to draw this view
  virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
  virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
  virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

#ifdef _DEBUG
  virtual void AssertValid() const;
  virtual void Dump(CDumpContext& dc) const;
#endif

  DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  //debug version in spltestView.cpp
inline CSpltestDoc* CSpltestView::GetDocument()
   { return static_cast<CSpltestDoc*>(m_pDocument); }
#endif

